%global somajor 0

Name:           simple-mail
Version:        1.4.0
Release:        1%{?dist}
Summary:        SMTP Client Library for Qt 

License:        LGPLv2+
URL:            https://github.com/cutelyst/simple-mail
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-Add-GNUInstallDirs-to-CMakeLists.patch

BuildRequires:  cmake >= 3.5
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  xz
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5Network) >= 5.5.0
BuildRequires:  cmake(Qt5Widgets) >= 5.5.0

%description
simple-mail is a small library writen for Qt 5 (C++11 version)
that allows application to send complex emails (plain text, html,
attachments, inline files, etc.) using the Simple Mail Transfer
Protocol (SMTP).


%package devel
Summary:        SMTP Client Library for Qt - Development Files
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
Header and development files for libsimplemail-qt5.


%prep
%autosetup -p1


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd
%make_build -C %{_target_platform}


%install
%make_install -C %{_target_platform}


%files
%license LICENSE
%doc README.md
%{_libdir}/libSimpleMailQt5.so.%{somajor}
%{_libdir}/libSimpleMailQt5.so.%{version}


%files devel
%{_includedir}/simplemail-qt5/
%{_libdir}/cmake/simplemailqt5/
%{_libdir}/libSimpleMailQt5.so
%{_libdir}/pkgconfig/simplemail-qt5.pc


%changelog
* Sat Dec  7 2019 Dakota Williams <raineforest@raineforest.me>
- Initial packaging
